[Errno 256] No more mirrors to try. while running packstack installation.

asked 2019-09-17 23:31:58 -0500

vikastcs@gmail.com gravatar image

hello expert,

Need you expert advice, I am preparing openstack test lab on my PC. getting following error while running following command. repolist is ok and count is also right when compare with other working openstack machine running on same software.

yum install openstack-packstack -y

Total download size: 12 M Installed size: 41 M Downloading packages:

Error downloading packages: puppet-vcsrepo-1.4.0-2.cd6c3bcgit.el7ost.noarch: [Errno 256] No more mirrors to try. puppet-glance-9.5.0-2.el7ost.noarch: [Errno 256] No more mirrors to try. puppet-horizon-9.5.0-1.el7ost.noarch: [Errno 256] No more mirrors to try. puppet-openstack_extras-9.5.0-1.el7ost.noarch: [Errno 256] No more mirrors to try. puppet-stdlib-4.13.1-3.f2492eegit.el7ost.noarch: [Errno 256] No more mirrors to try. puppet-memcached-2.8.1-1.bfa64e0git.el7ost.noarch: [Errno 256] No more mirrors to try. 1:facter-2.4.4-4.el7.x86_64: [Errno 256] No more mirrors to try. puppet-manila-9.5.0-1.el7ost.noarch: [Errno 256] No more mirrors to try. puppet-cinder-9.5.0-1.el7ost.noarch: [Errno 256] No more mirrors to try. puppet-corosync-5.0.0-1.f3ada25git.el7ost.noarch: [Errno 256] No more mirrors to try. python-pbr-1.10.0-1.el7ost.noarch: [Errno 256] No more mirrors to try. puppet-oslo-9.5.0-1.el7ost.noarch: [Errno 256] No more mirrors to try. puppet-tempest-9.4.0-1.el7ost.noarch: [Errno 256] No more mirrors to try. ruby-shadow-1.4.1-22.el7.x86_64: [Errno 256] No more mirrors to try. puppet-nova-9.5.0-2.el7ost.noarch: [Errno 256] No more mirrors to try. puppet-neutron-9.5.0-1.el7ost.noarch: [Errno 256] No more mirrors to try. puppet-vswitch-5.4.0-1.el7ost.noarch: [Errno 256] No more mirrors to try. puppet-inifile-1.6.0-2.el7ost.noarch: [Errno 256] No more mirrors to try. puppet-certmonger-1.1.1-1.1157a7egit.el7ost.noarch: [Errno 256] No more mirrors to try. puppet-firewall-1.8.1-2.e70157egit.el7ost.noarch: [Errno 256] No more mirrors to try. puppet-ssh-2.9.1-1.el7ost.noarch: [Errno 256] No more mirrors to try. puppet-aodh-9.5.0-1.el7ost.noarch: [Errno 256] No more mirrors to try. puppet-sysctl-0.0.11-1.el7ost.noarch: [Errno 256] No more mirrors to try. puppet-swift-9.5.0-1.el7ost.noarch: [Errno 256] No more mirrors to try. python-docutils-0.12-0.2.20140510svn7747.el7ost.noarch: [Errno 256] No more mirrors to try. puppet-mysql-3.10.0-1.el7ost.noarch: [Errno 256] No more mirrors to try. puppet-nssdb-1.0.1-1.el7ost.noarch: [Errno 256] No more mirrors to try. puppet-keystone-9.5.0-1.el7ost.noarch: [Errno 256] No more mirrors to try. puppet-staging-1.0.4-1.b466d93git.el7ost.noarch: [Errno 256] No more mirrors to try. puppet-trove-9.5.0-1.el7ost.noarch: [Errno 256] No more mirrors to try. puppet-redis-1.2.3-2.el7ost.noarch: [Errno 256] No more mirrors to try. puppet-rsync-0.4.0-1.8cc3c6fgit.el7ost.noarch: [Errno 256] No more mirrors to try. puppet-3.8.7-2.el7.noarch: [Errno 256] No more mirrors to try. puppet-openstacklib-9.5.0-1.el7ost.noarch: [Errno 256] No more mirrors to try. puppet-rabbitmq-5.6.0-1.057a013git.el7ost.noarch: [Errno 256] No more mirrors to try. puppet-remote-0.0.1-1.el7ost.noarch: [Errno 256] No more mirrors ... (more)

edit retag flag offensive close merge delete

Comments

The software versions you are trying to install are almost three years old and not available on the normal Centos repos anymore. I suggest you use a more recent version.

Newest packages are puppet-openstack_extras-14.4.0-1.el7.noarch.rpm etc; your version is 9.

Bernd Bausch gravatar imageBernd Bausch ( 2019-09-18 02:25:15 -0500 )edit